﻿using Microsoft.Extensions.Configuration;
using NetworkResurrector.Agent.Application.Services.Abstractions;
using NetworkResurrector.Agent.Domain.Models;

namespace NetworkResurrector.Agent.Application.Services
{
    internal class ParamProvider : IParamProvider
    {
        private readonly IConfiguration _configuration;

        public ParamProvider(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public ConfigurationRecords.Restrictions Restrictions => _configuration.GetSection("Restrictions").Get<ConfigurationRecords.Restrictions>();
    }
}
